Skip to content

Agent Chat

POST
/api/agent/chat
curl --request POST \
--url https://example.com/api/agent/chat \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'

Demo in-app chat endpoint for assistant-ui. Returns a friendly response; tool execution is planned.

Media typeapplication/json
Payload
object
key
additional properties
any
Examplegenerated
{}

Successful Response

Media typeapplication/json
Response Agent Chat Api Agent Chat Post
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}